Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155055 - Installer does not handle certain characters correctly (e.g. '=')
Summary: Installer does not handle certain characters correctly (e.g. '=')
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Installer
Version: 370
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robin Norwood
QA Contact: Max Spevack
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-15 21:06 UTC by Taco Scargo
Modified: 2007-08-06 16:09 UTC (History)
1 user (show)

Fixed In Version: RHN 4.0.0
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-01 02:22:46 UTC


Attachments (Terms of Use)

Description Taco Scargo 2005-04-15 21:06:18 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; chrome://navigator/locale/navigator.properties; rv:1.7.5) Gecko/20041107 Firefox/1.0

Description of problem:
While installing Satellite 3.7 and entering the username/password for oracle, the application did not accept the entries (resetting them to the defaults and not continuing). Found out that it did not like the '=' sign in the password. Apparently the regex scripting to enter the values in the rhn config file is not correct and does not 'escape' the strings entered. After changing the oracle password everything worked fine. No error message was displayed.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Setup an oracle sid, user and password with a password containing the = character
2. install satellite
3. try to complete the web-wizard
  

Actual Results:  It is stuck on the page where you have to enter the oracle details

Expected Results:  Accept entries and continue

Additional info:

Comment 2 Robin Norwood 2005-06-15 15:47:34 UTC
Fixed in CVS - 

Test plan:

1) Set up an external DB with a password that contains the '=' character.
  - Someone smart (like jslagle, for instance...) can help you set this up.
2) Install a satellite using that database. (ie, use the non-embedded iso)
3) At the db_config.pxt, enter the db information, and click 'submit'.
  - Expect to continue to the DB population phase.
4) Complete the DB population.  At this point you can be relatively sure the bug
is fixed.

Comment 3 Max Spevack 2005-07-13 18:14:16 UTC
I followed the testplan with a password containing an = and everything was fine.
 PROD_READY.


Note You need to log in before you can comment on or make changes to this bug.